Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class AbstractRuntimeManager

    java.lang.Object
      org.jbpm.runtime.manager.impl.AbstractRuntimeManager

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RuntimeManager

Direct Known Subclasses:
  PerProcessInstanceRuntimeManager, PerRequestRuntimeManager, SingletonRuntimeManager

    public abstract class AbstractRuntimeManager

extends Object
implements org.kie.internal.runtime.manager.RuntimeManager

Field Summary
`protected static List<String>` | `activeSingletons`
`protected org.kie.internal.runtime.manager.RuntimeEnvironment` | `environment`
`protected String` | `identifier`

Constructor Summary
`AbstractRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, String identifier)`

Method Summary
`void` | `close()`
`org.kie.internal.runtime.manager.RuntimeEnvironment` | `getEnvironment()`
`String` | `getIdentifier()`
`protected void` | `registerDisposeCallback(org.kie.internal.runtime.manager.Runtime runtime)`
`protected void` | `registerItems(org.kie.internal.runtime.manager.Runtime runtime)`
`void` | `setEnvironment(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`void` | `setIdentifier(String identifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.runtime.manager.RuntimeManager
`disposeRuntime, getRuntime`

Field Detail

### activeSingletons

    protected static List<String> activeSingletons

### environment

    protected org.kie.internal.runtime.manager.RuntimeEnvironment environment

### identifier

    protected String identifier

Constructor Detail

### AbstractRuntimeManager

    public AbstractRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                  String identifier)

Method Detail

### registerItems

    protected void registerItems(org.kie.internal.runtime.manager.Runtime runtime)

### registerDisposeCallback

    protected void registerDisposeCallback(org.kie.internal.runtime.manager.Runtime runtime)

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.runtime.manager.RuntimeManager`

### getEnvironment

    public org.kie.internal.runtime.manager.RuntimeEnvironment getEnvironment()

### setEnvironment

    public void setEnvironment(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

### getIdentifier

    public String getIdentifier()

  Specified by:
    `getIdentifier` in interface `org.kie.internal.runtime.manager.RuntimeManager`

### setIdentifier

    public void setIdentifier(String identifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.